Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultVmpType

java.lang.Object
be.fgov.ehealth.dics.core.v4.core.VmpKeyType
be.fgov.ehealth.dics.protocol.v4.ConsultVmpType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultVmpType extends VmpKeyType implements Serializable

Java class for ConsultVmpType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultVmpType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:core}VmpKeyType">
           <sequence>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
             <element name="Abbreviation" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
             <element name="Wada" type="{urn:be:fgov:ehealth:dics:protocol:v4}WadaType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="CommentedClassification" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultCommentedClassificationType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="VmpGroup" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultVmpGroupType"/>
             <element name="Vtm" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultVtmType" minOccurs="0"/>
             <element name="VmpComponent" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultVmpComponentType" maxOccurs="unbounded"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultVmpType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsultTextType`
  `getAbbreviation()`
  Gets the value of the abbreviation property.
  `List<ConsultCommentedClassificationType>`
  `getCommentedClassifications()`
  Gets the value of the commentedClassifications property.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `ConsultTextType`
  `getName()`
  Gets the value of the name property.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `List<ConsultVmpComponentType>`
  `getVmpComponents()`
  Gets the value of the vmpComponents property.
  `ConsultVmpGroupType`
  `getVmpGroup()`
  Gets the value of the vmpGroup property.
  `ConsultVtmType`
  `getVtm()`
  Gets the value of the vtm property.
  `List<WadaType>`
  `getWadas()`
  Gets the value of the wadas property.
  `void`
  `setAbbreviation(ConsultTextType value)`
  Sets the value of the abbreviation property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setName(ConsultTextType value)`
  Sets the value of the name property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.
  `void`
  `setVmpGroup(ConsultVmpGroupType value)`
  Sets the value of the vmpGroup property.
  `void`
  `setVtm(ConsultVtmType value)`
  Sets the value of the vtm property.

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.core.VmpKeyType

  `getCode, setCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultVmpType

    public ConsultVmpType()

- ## Method Details

  - ### getName

    public ConsultTextType getName()
    Gets the value of the name property.
    Returns:
      possible object is `ConsultTextType`

  - ### setName

    public void setName(ConsultTextType value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `ConsultTextType`

  - ### getAbbreviation

    public ConsultTextType getAbbreviation()
    Gets the value of the abbreviation property.
    Returns:
      possible object is `ConsultTextType`

  - ### setAbbreviation

    public void setAbbreviation(ConsultTextType value)
    Sets the value of the abbreviation property.
    Parameters:
      `value` - allowed object is `ConsultTextType`

  - ### getWadas

    public List<WadaType> getWadas()
    Gets the value of the wadas property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wadas property.

    For example, to add a new item, do as follows:

         getWadas().add(newItem);

    Objects of the following type(s) are allowed in the list `WadaType`

    Returns:
      The value of the wadas property.

  - ### getCommentedClassifications

    public List<ConsultCommentedClassificationType> getCommentedClassifications()
    Gets the value of the commentedClassifications property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the commentedClassifications property.

    For example, to add a new item, do as follows:

         getCommentedClassifications().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultCommentedClassificationType`

    Returns:
      The value of the commentedClassifications property.

  - ### getVmpGroup

    public ConsultVmpGroupType getVmpGroup()
    Gets the value of the vmpGroup property.
    Returns:
      possible object is `ConsultVmpGroupType`

  - ### setVmpGroup

    public void setVmpGroup(ConsultVmpGroupType value)
    Sets the value of the vmpGroup property.
    Parameters:
      `value` - allowed object is `ConsultVmpGroupType`

  - ### getVtm

    public ConsultVtmType getVtm()
    Gets the value of the vtm property.
    Returns:
      possible object is `ConsultVtmType`

  - ### setVtm

    public void setVtm(ConsultVtmType value)
    Sets the value of the vtm property.
    Parameters:
      `value` - allowed object is `ConsultVtmType`

  - ### getVmpComponents

    public List<ConsultVmpComponentType> getVmpComponents()
    Gets the value of the vmpComponents property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the vmpComponents property.

    For example, to add a new item, do as follows:

         getVmpComponents().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultVmpComponentType`

    Returns:
      The value of the vmpComponents property.

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`